List Scaleway Images
curl --request GET \
--url https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/imagesimport requests
url = "https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"images": [
{
"imageId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"name": "my-api",
"namespaceId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"tagCount": 5,
"size": 268435456,
"visibility": "private",
"status": "ready",
"createdAt": "2026-02-10T14:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
}
],
"totalCount": 12,
"page": 1,
"pageSize": 20
}
}
Scaleway
List Scaleway Images
List Docker images from a Scaleway Container Registry namespace
GET
/
integrations
/
scaleway
/
container-registry
/
project
/
{projectId}
/
credentials
/
{credentialId}
/
images
List Scaleway Images
Path Parameters
string
required
The UUID of the project
string
required
The UUID of the stored credential
Query Parameters
string
Scaleway namespace UUID to list images from. Defaults to the namespace associated with the credential.
number
Page number (1-based). Default:
1number
Number of items per page. Default:
20Authorization
Requiresread permission on the project.
Response
boolean
Whether the request succeeded
object
Show Images Response
Show Images Response
array
number
Total number of images
number
Current page number
number
Items per page
{
"success": true,
"data": {
"images": [
{
"imageId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"name": "my-api",
"namespaceId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"tagCount": 5,
"size": 268435456,
"visibility": "private",
"status": "ready",
"createdAt": "2026-02-10T14:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
}
],
"totalCount": 12,
"page": 1,
"pageSize": 20
}
}
⌘I